from panda3d.core import *
from direct.showbase.ShowBase import ShowBase

loadPrcFileData("", "load-file-type p3assimp")


class MyApp(ShowBase):

    def __init__(self):

        ShowBase.__init__(self)

        dir_light = DirectionalLight("light")
        light_np = self.camera.attach_new_node(dir_light)
        light_np.set_hpr(-20., -20., 0.)
        self.render.set_light(light_np)
        path_to_model_file = "Cloth_4x4_Skin_Multiple.fbx"
        model = self.loader.load_model(path_to_model_file, noCache=True)
        model.reparent_to(self.render)
        model.ls()

        # correct the orientation of the model (not needed for .ply, .raw or .stl)
        model.set_p(90.)



app = MyApp()
app.run()